import random

from django.http import HttpResponseRedirect
from django.core.urlresolvers import reverse
from django.shortcuts import render

from mmg.forms import NumberForm

MAX = 12


def home(request):
    operation = random.choice(['+', '-'])
    first = random.choice(range(MAX))
    if operation == '-':
        if first == 0:
            second = 0
        else:
            second = random.choice(range(first))
    else:
            second = random.choice(range(MAX))
    form = NumberForm({
        'first': first,
        'operation': operation,
        'second': second,
    })
    return render(
        request,
        'index.html',
        {
            'form': form,
        }
    )


def answer(request):
    form = NumberForm(request.POST or None)
    print(form)
    if form.is_valid():
        print(form.cleaned_data)
    return HttpResponseRedirect(reverse('mmg.views.home'))
